﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CS.aspx.cs" Inherits="CS" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <style type="text/css">
        body { font-family: Arial; font-size: 10pt; }
        .Grid th { background-color: #6C6C6C; color: White; font-size: 10pt; line-height: 200%; }
        .Grid td { background-color: #eee; color: black; font-size: 10pt; line-height: 200%; }
        .ChildGrid th { background-color: #6C6C6C; color: #fff; font-size: 10pt; line-height: 200%; }
        .ChildGrid td { background-color: #fff; color: black; font-size: 10pt; line-height: 200%; }
    </style>
</head>
<body>
    <form id="form1" runat="server">
        <asp:GridView ID="gvCustomers" runat="server" AutoGenerateColumns="false" CssClass="Grid"
            DataKeyNames="CustomerID" OnRowDataBound="OnRowDataBound">
            <Columns>
                <asp:TemplateField>
                    <ItemTemplate>
                        <img alt="" style="cursor: pointer" src="images/plus.png" />
                        <img alt="" style="cursor: pointer; display: none" src="images/minus.png" />
                        <asp:Panel ID="pnlOrders" runat="server" Style="display: none">
                            <asp:GridView ID="gvOrders" runat="server" AutoGenerateColumns="false" CssClass="ChildGrid">
                                <Columns>
                                    <asp:BoundField ItemStyle-Width="150px" DataField="OrderId" HeaderText="Order Id" />
                                    <asp:BoundField ItemStyle-Width="150px" DataField="OrderDate" HeaderText="Date" />
                                </Columns>
                            </asp:GridView>
                        </asp:Panel>
                    </ItemTemplate>
                </asp:TemplateField>
                <asp:BoundField ItemStyle-Width="150px" DataField="ContactName" HeaderText="Contact Name" />
                <asp:BoundField ItemStyle-Width="150px" DataField="City" HeaderText="City" />
            </Columns>
        </asp:GridView>

        <script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js"></script>
        <script type="text/javascript">
            $("[src*=plus]").on("click", function () {
                $(this).closest("tr").after("<tr><td></td><td class='orders' colspan = '999'>" + $(this).closest("tr").find("[id*=Orders]").html() + "</td></tr>");
                $(this).closest("tr").find("[src*=minus]").show();
                $(this).hide();
            });
            $("[src*=minus]").on("click", function () {
                $(this).closest("tr").next().remove();
                $(this).closest("tr").find("[src*=plus]").show();
                $(this).hide();
            });
        </script>
    </form>
</body>
</html>
